@import "../../../styles/colors.scss";

.NavBar_Wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 250px;
  height: 100vh;
  background-color: $color-black;

  & ul {
    & li {
      display: flex;
      flex-direction: row;
      align-items: center;
      color: $color-white;
      list-style: none;
      text-transform: capitalize;
      margin-bottom: 20px;
      cursor: pointer;
      transition: 0.5s;
      &::before {
        content: "";
        background-color: $color-blue;
        height: 5px;
        width: 0px;
        display: inline-block;
        margin-right: 0px;
        transition: 0.5s;
      }
      &:hover {
        color: $color-blue;
        transition: 0.5s;
        &::before {
          width: 20px;
          margin-right: 20px;
          transition: 0.5s;
        }
      }
    }
  }
}

.Toggle {
  & p {
    color: $color-white;
    font-size: 18px;
    cursor: pointer;
    transition: 0.5s;
    &:hover {
      color: $color-blue;
      transition: 0.5s;
    }
  }
}
